## nvidia-graphics-drivers-tesla-510 510.108.03

=== debian/changelog ===
nvidia-graphics-drivers-tesla-510 (510.108.03-1~mx21+1) mx; urgency=medium

  * Rebuild for MX Linux.

 -- Steven Pusser <stevep@mxlinux.org>  Wed, 04 Jan 2023 17:10:29 -0800

nvidia-graphics-drivers-tesla-510 (510.108.03-1) unstable; urgency=medium

  * Rebuild as Tesla 510 driver.
    (Closes: #1025286, #1025382)

 -- Andreas Beckmann <anbe@debian.org>  Tue, 13 Dec 2022 00:15:54 +0100

nvidia-graphics-drivers (510.108.03-1) unstable; urgency=medium

  * New upstream production branch release 510.108.03 (2022-11-22).
    * Fixed CVE-2022-34670, CVE-2022-34674, CVE-2022-34675, CVE-2022-34677,
      CVE-2022-34679, CVE-2022-34680, CVE-2022-34682, CVE-2022-34684,
      CVE-2022-42254, CVE-2022-42255, CVE-2022-42256, CVE-2022-42257,
      CVE-2022-42258, CVE-2022-42259, CVE-2022-42260, CVE-2022-42261,
      CVE-2022-42262, CVE-2022-42263, CVE-2022-42264.  (Closes: #1025279)
      https://nvidia.custhelp.com/app/answers/detail/a_id/5415
    * Improved compatibility with recent Linux kernels.

  [ Andreas Beckmann ]
  * Refresh patches.
  * Update nv-readme.ids.
  * Add missing #includes to fix kernel module build for ppc64el.
  * Rename the internally used ARCH variable which might clash on externally
    set values.
  * Use substitutions for ${nvidia-kernel} and friends.
  * Try to compile a kernel module at package build time.

 -- Andreas Beckmann <anbe@debian.org>  Sat, 10 Dec 2022 03:43:21 +0100

nvidia-graphics-drivers (510.85.02-6) unstable; urgency=medium

  * Split firmware-nvidia-gsp from nvidia-kernel-support.

 -- Andreas Beckmann <anbe@debian.org>  Thu, 27 Oct 2022 10:29:39 +0200

nvidia-graphics-drivers (510.85.02-5) unstable; urgency=medium

  * Restrict nvidia-legacy-check dependency to driver architectures.
  * Backport nv-acpi.c changes from 515.65.01 and drm_frambuffer.h changes
    from 515.76 to fix kernel module build for Linux 6.0.  (Closes: #1021958)

 -- Andreas Beckmann <anbe@debian.org>  Mon, 17 Oct 2022 15:40:28 +0200

nvidia-graphics-drivers (510.85.02-4) unstable; urgency=medium

  * Set BUILD_EXCLUSIVE_CONFIG="!CONFIG_PREEMPT_RT" for
    module-assistant-autopkgtest, too.

 -- Andreas Beckmann <anbe@debian.org>  Wed, 12 Oct 2022 14:12:42 +0200

nvidia-graphics-drivers (510.85.02-3) unstable; urgency=medium

  * Upload to unstable.  (Closes: #1020761)

 -- Andreas Beckmann <anbe@debian.org>  Wed, 05 Oct 2022 13:23:32 +0200

nvidia-graphics-drivers (510.85.02-2) experimental; urgency=medium

  * Merge changes from 470.141.03-2.
  * Switch to module-assistant-autopkgtest.

 -- Andreas Beckmann <anbe@debian.org>  Tue, 27 Sep 2022 18:31:11 +0200

nvidia-graphics-drivers-tesla-510 (510.85.02-3) unstable; urgency=medium

  * Relax the dependencies on libnvidia*-glcore/libnvidia*-eglcore for the
    transitional packages.

 -- Andreas Beckmann <anbe@debian.org>  Mon, 19 Sep 2022 11:20:59 +0200

nvidia-graphics-drivers-tesla-470 (470.161.03-1~deb11u1) bullseye; urgency=medium

  * Rebuild for bullseye.

 -- Andreas Beckmann <anbe@debian.org>  Sat, 10 Dec 2022 02:43:07 +0100

nvidia-graphics-drivers-tesla-470 (470.161.03-1) unstable; urgency=medium

  * New upstream production branch release 470.161.03 (2022-11-22).
    * Fixed CVE-2022-34670, CVE-2022-34674, CVE-2022-34675, CVE-2022-34677,
      CVE-2022-34679, CVE-2022-34680, CVE-2022-34682, CVE-2022-42254,
      CVE-2022-42255, CVE-2022-42256, CVE-2022-42257, CVE-2022-42258,
      CVE-2022-42259, CVE-2022-42260, CVE-2022-42261, CVE-2022-42262,
      CVE-2022-42263, CVE-2022-42264.  (Closes: #1025285)
      https://nvidia.custhelp.com/app/answers/detail/a_id/5415
    - Fixed a bug that caused the Xorg server to crash if an NvFBC capture
      session is started while video memory is full.
    * Improved compatibility with recent Linux kernels.
  * New upstream Tesla release (amd64 only) 470.141.10 (2022-10-19).

  [ Andreas Beckmann ]
  * Refresh patches.
  * Add missing #includes to fix kernel module build for ppc64el.
  * Rename the internally used ARCH variable which might clash on externally
    set values.
  * Use substitutions for ${nvidia-kernel} and friends (510.108.03-1).
  * Try to compile a kernel module at package build time (510.108.03-1).

 -- Andreas Beckmann <anbe@debian.org>  Thu, 08 Dec 2022 15:18:42 +0100

nvidia-graphics-drivers (470.161.03-1) bullseye; urgency=medium

  * New upstream production branch release 470.161.03 (2022-11-22).
    * Fixed CVE-2022-34670, CVE-2022-34674, CVE-2022-34675, CVE-2022-34677,
      CVE-2022-34679, CVE-2022-34680, CVE-2022-34682, CVE-2022-42254,
      CVE-2022-42255, CVE-2022-42256, CVE-2022-42257, CVE-2022-42258,
      CVE-2022-42259, CVE-2022-42260, CVE-2022-42261, CVE-2022-42262,
      CVE-2022-42263, CVE-2022-42264.  (Closes: #1025279)
      https://nvidia.custhelp.com/app/answers/detail/a_id/5415
    - Fixed a bug that caused the Xorg server to crash if an NvFBC capture
      session is started while video memory is full.
    * Improved compatibility with recent Linux kernels.  (Closes: #1024852)
  * New upstream Tesla release (amd64 only) 470.141.10 (2022-10-19).

  [ Andreas Beckmann ]
  * Refresh patches.
  * Add missing #includes to fix kernel module build for ppc64el.
  * Rename the internally used ARCH variable which might clash on externally
    set values.
  * Use substitutions for ${nvidia-kernel} and friends (510.108.03-1).
  * Try to compile a kernel module at package build time (510.108.03-1).
  * Upload to bullseye.

 -- Andreas Beckmann <anbe@debian.org>  Sat, 10 Dec 2022 00:52:57 +0100

nvidia-graphics-drivers-tesla-470 (470.141.03-3) unstable; urgency=medium

  * Backport get_task_ioprio changes from 510.85.02, acpi changes from
    510.85.02 and 515.65.01, drm_frambuffer.h changes from 515.76 to fix
    kernel module build for Linux 6.0.  (Closes: #1021974, #1022738)

 -- Andreas Beckmann <anbe@debian.org>  Mon, 24 Oct 2022 18:00:40 +0200

nvidia-graphics-drivers-tesla-470 (470.141.03-2) unstable; urgency=medium


