=== debian/control ===
# NOTE: This file is generated from debian/control.in. To regenerate,
# run `make -f debian/rules debian/control'.
Source: nvidia-graphics-drivers-tesla-510
Section: non-free/libs
Priority: optional
Maintainer: Steven Pusser <stevep@mxlinux.org>
Xsbc-Original-Maintainer: Debian NVIDIA Maintainers <pkg-nvidia-devel@lists.alioth.debian.org>
Uploaders: Andreas Beckmann <anbe@debian.org>, Luca Boccassi <bluca@debian.org>
Vcs-Browser: https://salsa.debian.org/nvidia-team/nvidia-graphics-drivers
Vcs-Git: https://salsa.debian.org/nvidia-team/nvidia-graphics-drivers.git -b tesla-510/transition
Build-Depends: debhelper-compat (= 13)
Build-Depends-Arch: dh-dkms (>= 3.0.3-4~),
                    dh-exec,
                    dh-sequence-dkms,
                    libglvnd-dev,
                    libnvidia-egl-wayland1,
                    libvulkan1 (>= 1.0.42),
                    libxext6,
                    linux-headers-amd64 [amd64] <!nocheck>,
                    linux-headers-arm64 [arm64] <!nocheck>,
                    linux-headers-powerpc64le [ppc64el] <!nocheck>,
                    po-debconf,
                    quilt,
                    xz-utils
Rules-Requires-Root: no
Standards-Version: 4.6.1
Homepage: https://www.nvidia.com
Testsuite: autopkgtest-pkg-dkms
XS-Autobuild: yes

Package: nvidia-tesla-510-driver
Section: non-free/x11
Architecture: arm64 ppc64el amd64
Depends: nvidia-tesla-driver, ${misc:Depends}
Description: NVIDIA metapackage${nvidia:VariantDesc}
 This metapackage depends on the NVIDIA binary driver and libraries
 that provide optimized hardware acceleration of
 OpenGL/GLX/EGL/GLES/Vulkan applications via a direct-rendering X Server.
 .
 ${nvidia:kmod:Description}
 .
 ${nvidia:Models}
 .
 See /usr/share/doc/${nvidia}-driver/README.txt.gz
 for a complete list of supported GPUs and PCI IDs.
 .
 Building the kernel module has been tested up to Linux ${nvidia:kmod:tested:Linux}.

Package: nvidia-tesla-510-alternative
Architecture: arm64 ppc64el amd64 i386
Multi-Arch: foreign
Pre-Depends: dpkg (>= 1.17.21), ${misc:Pre-Depends}, ${nvidia:legacy-check}
Depends: glx-alternative-nvidia (>= 1.2), ${misc:Depends}
Provides: nvidia-alternative-any, ${nvidia}-alternative--kmod-alias
Conflicts: libegl1-glvnd-nvidia,
           libgl1-glvnd-nvidia-glx,
           libgles1-glvnd-nvidia,
           libgles2-glvnd-nvidia,
           libglvnd0-nvidia,
           libglx0-glvnd-nvidia,
           libopengl0-glvnd-nvidia
Description: allows the selection of NVIDIA as GLX provider${nvidia:VariantDesc}
 In setups with several NVIDIA driver versions installed (e.g. current and
 legacy) this metapackage registers an alternative to allow easy switching
 between the different versions.
 .
 Use 'update-glx --config nvidia' to select a version.
 .
 This package does not depend on the corresponding NVIDIA libraries.
 In order to install the NVIDIA driver and libraries, install the
 ${nvidia}-driver package instead.

Package: nvidia-tesla-510-kernel-support
Section: non-free/kernel
Architecture: arm64 ppc64el amd64
Multi-Arch: foreign
Depends: nvidia-kernel-common (>= 20151021),
         nvidia-modprobe (>= ${nvidia:Version:major}),
         ${misc:Depends},
         ${nvidia}-alternative (= ${binary:Version}),
         ${nvidia}-alternative--kmod-alias
Provides: ${nvidia-kernel}-support--v1
Description: NVIDIA binary kernel module support files${nvidia:VariantDesc}
 The NVIDIA binary driver provides optimized hardware acceleration of
 OpenGL/GLX/EGL/GLES applications via a direct-rendering X Server
 for graphics cards using NVIDIA chip sets.
 .
 This package provides supporting configuration for the kernel module.

Package: nvidia-tesla-510-kernel-dkms
Section: non-free/kernel
Architecture: arm64 ppc64el amd64
Multi-Arch: foreign
Depends: nvidia-tesla-kernel-dkms, ${misc:Depends}
Description: NVIDIA binary kernel module DKMS source${nvidia:VariantDesc}
 This package builds the NVIDIA binary kernel modules needed by
 ${nvidia}-driver, using DKMS.
 Provided that you have the kernel header packages installed, the kernel
 module will be built for your running kernel and automatically rebuilt for
 any new kernel headers that are installed.
 .
 The NVIDIA binary driver provides optimized hardware acceleration of
 OpenGL/GLX/EGL/GLES applications via a direct-rendering X Server
 for graphics cards using NVIDIA chip sets.
 .
 ${nvidia:Models}
 .
 See /usr/share/doc/${nvidia-kernel}-dkms/README.txt.gz
 for a complete list of supported GPUs and PCI IDs.
 .
 This package contains the blobs for building kernel modules for the
 ${nvidia:kmod:blob:archlist}.
 Building the kernel modules has been tested up to Linux ${nvidia:kmod:tested:Linux}.

Package: nvidia-tesla-510-kernel-source
Section: non-free/kernel
Architecture: arm64 ppc64el amd64
Depends: nvidia-tesla-kernel-source, ${misc:Depends}
Description: NVIDIA binary kernel module source${nvidia:VariantDesc}
 This package provides the source for the NVIDIA binary kernel modules
 needed by ${nvidia}-driver in a form suitable
 for use by module-assistant.
 .
 The NVIDIA binary driver provides optimized hardware acceleration of
 OpenGL/GLX/EGL/GLES applications via a direct-rendering X Server
 for graphics cards using NVIDIA chip sets.
 .
 PLEASE read /usr/share/doc/${nvidia-kernel}-source/README.Debian.gz
 for building information. If you want the kernel module to be automatically
 installed via DKMS, install ${nvidia-kernel}-dkms instead.
 .
 ${nvidia:Models}
 .
 See /usr/share/doc/${nvidia-kernel}-source/README.txt.gz
 for a complete list of supported GPUs and PCI IDs.
 .
 This package contains the blobs for building kernel modules for the
 ${nvidia:kmod:blob:archlist}.
 Building the kernel modules has been tested up to Linux ${nvidia:kmod:tested:Linux}.

Package: xserver-xorg-video-nvidia-tesla-510
Section: non-free/x11
Architecture: arm64 ppc64el amd64
Depends: xserver-xorg-video-nvidia-tesla,
         ${misc:Depends},
         ${nvidia}-alternative (= ${binary:Version}),
         ${shlibs:Depends}
Description: NVIDIA binary Xorg driver${nvidia:VariantDesc}
 The NVIDIA binary driver provides optimized hardware acceleration of
 OpenGL/GLX/EGL/GLES applications via a direct-rendering X Server
 for graphics cards using NVIDIA chip sets.
 .
 ${nvidia:kmod:Description}
 .
 ${nvidia:Models}
 .
 See /usr/share/doc/${nvidia}-driver/README.txt.gz
 for a complete list of supported GPUs and PCI IDs.

Package: nvidia-tesla-510-driver-bin
Section: non-free/x11
Architecture: arm64 ppc64el amd64
Depends: ${misc:Depends},
         ${nvidia}-alternative (= ${binary:Version}),
         ${shlibs:Depends}
Recommends: ${nvidia}-driver
Provides: nvidia-driver-bin-${nvidia:Version}
Conflicts: nvidia-driver-bin-${nvidia:Version}
Description: NVIDIA driver support binaries${nvidia:VariantDesc}
 The NVIDIA binary driver provides optimized hardware acceleration of
 OpenGL/GLX/EGL/GLES applications via a direct-rendering X Server
 for graphics cards using NVIDIA chip sets.
 .
 This package contains supporting binaries for the driver.

Package: libnvidia-tesla-510-cfg1
Architecture: arm64 ppc64el amd64
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: libnvidia-tesla-cfg1,
         ${misc:Depends},
         ${nvidia}-alternative (= ${binary:Version}),
         ${shlibs:Depends}
Description: NVIDIA binary OpenGL/GLX configuration library${nvidia:VariantDesc}
 The NVIDIA binary driver provides optimized hardware acceleration of
 OpenGL/GLX/EGL/GLES applications via a direct-rendering X Server
 for graphics cards using NVIDIA chip sets.
 .
 This package contains the libnvidia-cfg.so.1 runtime library.

Package: nvidia-tesla-510-driver-libs
Architecture: arm64 ppc64el amd64 i386
Multi-Arch: same
Depends: nvidia-tesla-driver-libs, ${misc:Depends}
Conflicts: libegl1-glvnd-nvidia,
           libgl1-${nvidia}-glx-i386,
           libgl1-glvnd-nvidia-glx,
           libgles1-glvnd-nvidia,
           libgles2-glvnd-nvidia,
           libglvnd0-nvidia,
           libglx0-glvnd-nvidia,
           libopengl0-glvnd-nvidia
Breaks: libegl1-${nvidia},
        libgl1-${nvidia}-glx,
        ${nvidia}-driver-libs-nonglvnd,
        ${nvidia}-nonglvnd-vulkan-icd
Description: NVIDIA metapackage (OpenGL/GLX/EGL/GLES libraries)${nvidia:VariantDesc}
 This metapackage depends on the NVIDIA binary libraries
 that provide optimized hardware acceleration of
 OpenGL/GLX/EGL/GLES applications via a direct-rendering X Server.

Package: libglx-nvidia-tesla-510-0
Architecture: arm64 ppc64el amd64 i386
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: libglx0 | libglx0-glvnd-nvidia,
         ${misc:Depends},
         ${nvidia}-alternative (= ${binary:Version}),
         ${shlibs:Depends}
Description: NVIDIA binary GLX library${nvidia:VariantDesc}
 GLX ("OpenGL Extension to the X Window System") provides an interface between
 OpenGL and the X Window System as well as extensions to OpenGL itself.
 .
 See the description of the ${nvidia}-driver package
 or /usr/share/doc/libgl1-${nvidia}-glx/README.txt.gz
 for a complete list of supported GPUs and PCI IDs.
 .
 This package contains the driver specific binary GLX implementation by NVIDIA
 that is accessed via GLVND.

Package: libgl1-nvidia-tesla-510-glvnd-glx
Architecture: arm64 ppc64el amd64 i386
Multi-Arch: same
Depends: libgl1 (>= 0.2.999) | libgl1-glvnd-nvidia-glx,
         libglx-${nvidia-}0 (= ${binary:Version}),
         ${misc:Depends}
Description: NVIDIA binary OpenGL/GLX library (GLVND variant)${nvidia:VariantDesc}
 The NVIDIA binary driver provides optimized hardware acceleration of
 OpenGL/GLX/EGL/GLES applications via a direct-rendering X Server
 for graphics cards using NVIDIA chip sets.
 .
 See the description of the ${nvidia}-driver package
 or /usr/share/doc/libgl1-${nvidia}-glvnd-glx/README.txt.gz
 for a complete list of supported GPUs and PCI IDs.
 .
 This metapackage depends on the NVIDIA binary OpenGL/GLX implementation using
 GLVND and the corresponding GLVND loader library.

Package: libnvidia-tesla-510-glcore
Architecture: arm64 ppc64el amd64 i386
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Provides: libnvidia-glcore-${nvidia:Version}
Conflicts: libnvidia-glcore-${nvidia:Version}
Description: NVIDIA binary OpenGL/GLX core libraries${nvidia:VariantDesc}
 The NVIDIA binary driver provides optimized hardware acceleration of
 OpenGL/GLX/EGL/GLES applications via a direct-rendering X Server
 for graphics cards using NVIDIA chip sets.
 .
 This package contains the private core libraries used by the NVIDIA
 implementation of OpenGL and GLX.

Package: libegl-nvidia-tesla-510-0
Architecture: arm64 ppc64el amd64 i386
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends},
         ${nvidia}-alternative (= ${binary:Version}),
         ${shlibs:Depends}
Description: NVIDIA binary EGL library${nvidia:VariantDesc}
 EGL provides a platform-agnostic mechanism for creating rendering surfaces
 for use with other graphics libraries, such as OpenGL|ES.
 .
 See the description of the ${nvidia}-driver package
 or /usr/share/doc/libgl1-${nvidia}-glx/README.txt.gz
 for a complete list of supported GPUs and PCI IDs.
 .
 This package contains the driver specific binary EGL implementation provided
 by NVIDIA that is accessed via GLVND.

Package: libgles-nvidia-tesla-510-1
Architecture: arm64 ppc64el amd64 i386
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: lib${nvidia}-eglcore (= ${binary:Version}),
         libgles1 (>= 0.2.999) | libgles1-glvnd-nvidia,
         ${misc:Depends},
         ${nvidia}-alternative (= ${binary:Version}),
         ${shlibs:Depends}
Description: NVIDIA binary OpenGL|ES 1.x library${nvidia:VariantDesc}
 OpenGL|ES is a cross-platform API for full-function 2D and 3D graphics on
 embedded systems - including consoles, phones, appliances and vehicles.
 It contains a subset of OpenGL plus a number of extensions for the
