=== debian/tests/control ===
Test-Command: env BUILD_EXCLUSIVE_CONFIG="!CONFIG_PREEMPT_RT" /usr/share/modass/module-assistant-autopkgtest nvidia-tesla-510-kernel
Features: test-name=m-a-autopkgtest
Architecture: amd64 arm64 ppc64el
Depends: linux-doc,
         module-assistant-autopkgtest,
         nvidia-tesla-510-kernel-source
Restrictions:
 superficial,
 needs-root,
 breaks-testbed,
 allow-stderr,
